Subject: bug#12583: latest org-mode changes exposes bug in `comment-forward'in newcomment.el

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Oct 2012 12:48:40 -0400

>> > For my own use, I wonder whether I should be calling `c-n-v' before
>> > I make use of `comment-search-forward'.
>> Yes, you should.
> OK, thanks.  Please consider providing specific guidelines about this,
> somewhere.

I think the guideline "commands that use comment-* functions should call
c-n-v first" is a good approximation.

> OK, so it was only for a transition.  Presumably that means that some
> of those autoloads will be removed at some point.

Except that I don't know how to mark obsolete the auto-loading of
a variable, so the transition would be just as abrupt now as it would
have been then.
I guess we can remove autoloads one at a time and see when
someone screams.

        Stefan